%define groovy_version 1.7.10
%define groovy_majver 1.7
%global bits 32

%ifarch x86_64
  %global bits 64
%endif
Name:          gant
Version:       1.9.6
Release:       %mkrel 2
Summary:       A Groovy-based build system that uses Ant tasks
Group:         Development/Java
License:       ASL 2.0
Url:           http://gant.codehaus.org/
Source0:       http://dist.codehaus.org/gant/distributions/gant_src-1.9.6.tgz
Source1:       gant-script
# use system libraries and use groovy 1.7.x and disable new groovy version 1.8.1 1.9.0-beta-1
Patch0:        gant-1.9.6-build.patch
# use system libraries and use groovy 1.7.x and 1.8.x and disable new groovy version 1.9.0-beta-1
Patch1:        gant-1.9.6-00-build.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: apache-commons-cli
BuildRequires: gradle%bits
BuildRequires: groovy == 1.7.10
BuildRequires: ivy
BuildRequires: junit4
BuildRequires: jna

Requires:      ant
Requires:      groovy == 1.7.10

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Gant is a build tool for scripting Ant tasks using Groovy instead of
XML to specify the build logic. A Gant build specification is a
Groovy script and so can bring all the power of Groovy to bear
directly, something not possible with Ant scripts. Whilst it might be
seen as a competitor to Ant, Gant uses Ant tasks for many of the
actions, so Gant is really an alternative way of doing builds using
Ant, but using a programming language rather than XML to specify the
build rules.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      jpackage-utils

%description javadoc
Gant - A Groovy-based build system that uses Ant tasks.

This package contains javadoc for %{name}.

%prep
%setup -q -n gant-%{version}

%patch0 -p1
#%patch1 -p1

rm -rf wrapper/gradle-wrapper.jar jarfiles/maven-ant-tasks*.jar

%build

export GRADLE_USER_HOME=$PWD
mkdir -p gradlehome
gradle jar groovydoc javadoc -g $PWD/gradlehome -b $PWD/build.gradle

%install

mkdir -p %{buildroot}%{_javadir}
install -pm 644 gant_groovy%{groovy_majver}/build/libs/gant_groovy%{groovy_majver}-%{version}.jar %{buildroot}%{_javadir}/gant-%{version}.jar
(
  cd %{buildroot}%{_javadir}
  ln -sf gant-%{version}.jar gant.jar
)

mkdir -p %{buildroot}%{_mandir}/man1/
install -pm 644 documentation/gant.1 %{buildroot}%{_mandir}/man1/

mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d
install -pm 644 scripts/bash_completion.d/%{name} %{buildroot}%{_sysconfdir}/bash_completion.d
install -pm 644 scripts/conf/gant-starter.conf %{buildroot}%{_sysconfdir}/

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr gant_groovy%{groovy_majver}/build/docs/groovydoc %{buildroot}%{_javadocdir}/%{name}
cp -pr gant_groovy%{groovy_majver}/build/docs/javadoc/* %{buildroot}%{_javadocdir}/%{name}


mkdir -p %{buildroot}%{_bindir}
install -pm 755 %{SOURCE1} %{buildroot}%{_bindir}/%{name}


%files
%defattr(0644,root,root,0755)
%config %{_sysconfdir}/bash_completion.d/%{name}
%config %{_sysconfdir}/gant-starter.conf
%attr(0755,root,root) %{_bindir}/%{name}
%{_javadir}/%{name}*.jar
%{_mandir}/man1/*
%doc LICENCE.txt README_Install.txt releaseNotes.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Thu Dec 08 2011 gil <gil> 1.9.6-2.mga2
+ Revision: 179050
- build fix used gradle%%bits
- rebuilt with groovy 1.7.x support
- rebuilt with groovy 1.8.1 support
- update to 1.9.6
- imported package gant

